using System;
using System.IO;
using System.Collections.Generic;

namespace Exercises_C_Sharp.E20_Lists
{
    class Exercise_5
    {
        public static void Start()
        {
            //Geben Sie die folgenden Informationen über die Zahlen in der Liste aus: Größte Zahl, kleinste Zahl, Durchschnitt (arithmetisches Mittel):
            List<int> intList = new List<int>() {14,2,12,32,51,31,53,12,34,34,2,45,45,23,62,72,25,40};

            
            /*Code START*/

            Console.WriteLine("Größte Zahl: " + intList.Max());
            Console.WriteLine("Kleinste Zahl: " + intList.Min());
            Console.WriteLine("Durchschnitt: " + intList.Average());

            //ODER:
            int min = int.MaxValue;
            int max = int.MinValue;
            int sum = 0;
            int amount = 0;
            foreach(var element in intList)
            {
                if(element < min) min = element;
                if(element > max) max = element;
                sum += element;
                amount++;
            }
            Console.WriteLine("Größte Zahl: " + max);
            Console.WriteLine("Kleinste Zahl: " + min);
            Console.WriteLine("Durchschnitt: " + ((double)sum / amount));


            /*Code ENDE*/
        }
    }
}